package com.org.hktshop.service.user;

import com.org.hktshop.entity.user.HktUsersLevel;

import java.util.List;

/**
 * @author hotking03
 */
public interface HktUsersLevelService {
    /**
     * 新增/修改积分等级
     * @param hktUsersLevel
     */
    void updateScoreLevel(HktUsersLevel hktUsersLevel);

    /**
     * 积分登记列表
     * @param hktUsersLevel
     * @return
     */
    List<HktUsersLevel> selectScoreLevel(HktUsersLevel hktUsersLevel);

    /**
     * 积分等级详情
     * @param hktUsersLevel
     * @return
     */
    HktUsersLevel findScoreLevel(HktUsersLevel hktUsersLevel);
}
